
#ifndef NPC_H
#define NPC_H

/* openGL Headers */
#include <GL/glut.h>

class NPC {

 public:
  NPC ();
  ~NPC ();

  /* collision control */
  float collisionRadius;

  float xCor;
  float yCor;
  float zCor;

  void drawNPC(void);
  void setPosition(float x, float y, float z);
  void getPosition(float* x, float* y, float* z);
  void setCollisionRadius(float r);
  float getCollisionRadius();

 private:
  /* position of the non player space craft */

  int npcType;


;

};

#endif
